aboutsummaryrefslogtreecommitdiff
path: root/t/t0202-gettext-perl.sh
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2011-12-19 16:06:41 -0800
committerJunio C Hamano <gitster@pobox.com>2011-12-19 16:06:41 -0800
commit2dccad3c6f9df2b1eea7eb5617e2748a7f2daa40 (patch)
tree3753154d3da34ff50e82a667a75ad56437d4d12f /t/t0202-gettext-perl.sh
parent85878dd0c929dde5d91411b57ef9f2d696cbc7d8 (diff)
parent5e9637c629702e3d41ad01d95956d1835d7338e0 (diff)
downloadgit-2dccad3c6f9df2b1eea7eb5617e2748a7f2daa40.tar.gz
git-2dccad3c6f9df2b1eea7eb5617e2748a7f2daa40.tar.xz
Merge branch 'ab/enable-i18n'
* ab/enable-i18n: i18n: add infrastructure for translating Git with gettext Conflicts: Makefile
Diffstat (limited to 't/t0202-gettext-perl.sh')
-rwxr-xr-xt/t0202-gettext-perl.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/t/t0202-gettext-perl.sh b/t/t0202-gettext-perl.sh
new file mode 100755
index 000000000..428ebb008
--- /dev/null
+++ b/t/t0202-gettext-perl.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+#
+# Copyright (c) 2010 Ævar Arnfjörð Bjarmason
+#
+
+test_description='Perl gettext interface (Git::I18N)'
+
+. ./lib-gettext.sh
+
+if ! test_have_prereq PERL; then
+ skip_all='skipping perl interface tests, perl not available'
+ test_done
+fi
+
+"$PERL_PATH" -MTest::More -e 0 2>/dev/null || {
+ skip_all="Perl Test::More unavailable, skipping test"
+ test_done
+}
+
+# The external test will outputs its own plan
+test_external_has_tap=1
+
+test_external_without_stderr \
+ 'Perl Git::I18N API' \
+ "$PERL_PATH" "$TEST_DIRECTORY"/t0202/test.pl
+
+test_done